package com.gic.haoban.manage.web.qo.clerktask;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;

public class ClerkTaskListQO extends BasePageInfo implements Serializable {

    // 1未开始  2进行中  3已结束  4已过期
    private Integer status = -1 ;

    /**
     * 任务名称/id
     */
    private String searchParams ;

    /**
     * 导购ID
     */
    private String clerkId ;
    /**
     * 企业ID
     */
    private String enterpriseId ;

    /**
     * 0全部 1召回 2企微 3内容
     */
    private Integer taskType = 0 ;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }
}
